%global __requires_exclude libkarma

%define major		0
%define libname		%mklibname karma %major
%define develname	%mklibname karma -d

Summary:	Rio Karma tools
Name:		libkarma
Version:	0.1.2
Release:	%mkrel 15
License:	GPLv2+
Group:		System/Libraries
Url:		https://www.freakysoft.de/html/libkarma/
Source0:	https://www.freakysoft.de/libkarma/libkarma-%{version}.tar.gz
Source2:	https://bobcopeland.com/karma/banshee/preferences.fdi
Source3:	https://bobcopeland.com/karma/banshee/multimedia-player-rio-karma.png
Source4:	karma-sharp.dll.config
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(zlib)
Requires:	%libname >= %version

%description
Rio Karma access library.

%package -n	%libname
Summary:	Rio Karma access library
Group:		System/Libraries

%description -n	%libname
Rio Karma access library.

%package -n	%develname
Summary:	Rio Karma development files
Group:		Development/C
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Obsoletes:	%name-devel < %version-%release
Obsoletes:	%{_lib}karma0-devel < %version-%release

%description -n	%develname
Rio Karma development files.


%package -n	karma-sharp
Summary:	Rio Karma C# bindings
Group:		Development/Other
Requires:	%name = %version

%description -n	karma-sharp
Rio Karma C# bindings.


%prep
%autosetup -p1
sed -i 's!gmcs!mcs!' karma-sharp/Makefile
# Don't set root permissions
sed -i 's/ -o root -g root//g' Makefile
# parallel build: wait for the library to be build
sed -i '/^all:/ s/\(libkarma\)/\1 .WAIT/' Makefile

%build
export CFLAGS+=" -std=gnu99"
%make_build

%install
%make_install \
   DESTDIR=%{buildroot} \
   CHOWNPROG=/bin/true \
   CHGRPPROG=/bin/true

%ifarch x86_64 aarch64
mv %{buildroot}%{_prefix}/lib{,64}
%endif

install -m 644 -D libkarma.fdi %buildroot%_sysconfdir/hal/fdi/information/20-rio-karma.fdi
install -m 644 -D %SOURCE2 %buildroot%_sysconfdir/hal/fdi/policy/preferences.fdi
install -m 644 -D %SOURCE3 %buildroot%_datadir/icons/hicolor/32x32/devices/multimedia-player-rio-karma.png

cat > README.urpmi << EOF
For automatic mounting, add the following line to your
/etc/fstab. Otherwise gnome-volume-manager will refuse to mount the
device, as it doesn't know about the Karma's proprietary filesystem.

/dev/disk/by-id/usb-Rio_Rio_Karma_0000000000000000-part2    /media/karma    omfs    user,noauto    0   0

EOF

install -m 644 %SOURCE4 %buildroot%_libdir/karma-sharp/karma-sharp.dll.config

%files
%doc THANKS TODO README.urpmi ChangeLog
%config(noreplace) %_sysconfdir/hal/fdi/information/20-rio-karma.fdi
%config(noreplace) %_sysconfdir/hal/fdi/policy/preferences.fdi
%_bindir/riocp
%_bindir/chprop
%_mandir/man1/*.1*
%attr(4755,root,root) %_bindir/karma_helper
%_datadir/icons/hicolor/32x32/devices/multimedia-player-rio-karma.png

%files -n %libname
%_libdir/libkarma.so.%{major}*

%files -n %develname
%_includedir/*
%_libdir/libkarma.a
%_libdir/libkarma.so

%files -n karma-sharp
%_libdir/karma-sharp/*
%_libdir/pkgconfig/karma-sharp.pc


%changelog
* Thu Jul 03 2025 aurr <aurr> 0.1.2-15.mga10
+ Revision: 2244341
- FTBFS: set -std=gnu99
-clean a bit the spec file
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Oct 04 2024 daviddavid <daviddavid> 0.1.2-14.mga10
+ Revision: 2103279
- rebuild for new taglib 2.0.2

* Fri Apr 01 2022 umeabot <umeabot> 0.1.2-13.mga9
+ Revision: 1838455
- Mageia 9 Mass Rebuild

* Fri Jul 17 2020 pterjan <pterjan> 0.1.2-12.mga8
+ Revision: 1606784
- Rebuild with silent change fixing bare word on if macro statement

* Thu Feb 13 2020 umeabot <umeabot> 0.1.2-11.mga8
+ Revision: 1514219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-10.mga7
+ Revision: 1298935
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 cjw <cjw> 0.1.2-9.mga7
+ Revision: 1153949
- pass optflags to make
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 tv <tv> 0.1.2-8.mga6
+ Revision: 908009
- fix finding mono4 compiler
- rebuild for mono4

* Mon Oct 19 2015 daviddavid <daviddavid> 0.1.2-7.mga6
+ Revision: 892812
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-6.mga5
+ Revision: 739457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-5.mga5
+ Revision: 681548
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jul 05 2014 pterjan <pterjan> 0.1.2-4.mga5
+ Revision: 643704
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 507147
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 0.1.2-2.mga3
+ Revision: 357723
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 kharec <kharec> 0.1.2-1.mga2
+ Revision: 112450
- update to 0.1.2

* Thu Mar 24 2011 boklm <boklm> 0.1.1-3.mga1
+ Revision: 76175
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1.1-2.mga1
+ Revision: 72006
- clean spec file
- imported package libkarma


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2010.1
+ Revision: 520874
- rebuilt for 2010.1

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 383902
- new version
- use upstream fdi file

* Fri May 15 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-5mdv2010.0
+ Revision: 376115
- update license
- drop dep on dkms-omfs

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.1.0-4mdv2009.0
+ Revision: 248840
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 0.1.0-2mdv2008.1
+ Revision: 185026
- fix automatic deps of karma-sharp

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.1.0-1mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 28467
- fix buildrequires
- new version
- new URL
- split out library package
- add dll mapping for karma-sharp


* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.0.6-1mdv2007.0
+ Revision: 96209
- add README.urpmi about fstab setup
- add icon
- Import libkarma

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.0.6-1mdv2007.1
- initial package

